Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2050743 (CVE-2022-21713) - CVE-2022-21713 grafana: IDOR vulnerability can lead to information disclosure
Summary: CVE-2022-21713 grafana: IDOR vulnerability can lead to information disclosure
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-21713
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2052664 2052665 2053455 2053465 2053466 2053513 2053514 2054040 2055454 2055455 2055456
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-04 14:59 UTC by Mauro Matteo Cascella
Modified: 2023-09-01 02:57 UTC (History)
57 users (show)

Fixed In Version: grafana 7.5.15, grafana 8.3.5
Doc Type: If docs needed, set a value
Doc Text:
An Insecure Direct Object Reference (IDOR) vulnerability was found on Grafana Teams APIs. This flaw impacts the `/teams/:teamId`, `/teams/:search`, `/teams/:teamId/members` API endpoints and may allow an authenticated attacker to view unintended data by querying for the specific team ID or search for teams and see the total number of available teams (including teams that the user does not have access to).
Clone Of:
Environment:
Last Closed: 2022-12-05 01:03:41 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:7519 0 None None None 2022-11-08 09:25:43 UTC
Red Hat Product Errata RHSA-2022:8057 0 None None None 2022-11-15 10:06:15 UTC

Description Mauro Matteo Cascella 2022-02-04 14:59:00 UTC
An IDOR (Insecure Direct Object Reference) vulnerability was found on Grafana Teams APIs. This flaw impacts the `/teams/:teamId`, `/teams/:search`, `/teams/:teamId/members` API endpoints and may allow an authenticated attacker to view unintended data by querying for the specific team ID or search for teams and see the total number of available teams (including for those teams where the user does not have access to).

GitHub security advisory:
https://github.com/grafana/grafana/security/advisories/GHSA-63g3-9jq3-mccv

Grafana blog post:
https://grafana.com/blog/2022/02/08/grafana-7.5.15-and-8.3.5-released-with-moderate-severity-security-fixes/

Comment 2 Mauro Matteo Cascella 2022-02-11 11:12:09 UTC
Upstream pull request:
https://github.com/grafana/grafana/pull/45083

Comment 3 Mauro Matteo Cascella 2022-02-11 11:29:07 UTC
Created grafana tracking bugs for this issue:

Affects: fedora-all [bug 2053455]

Comment 20 errata-xmlrpc 2022-11-08 09:25:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:7519 https://access.redhat.com/errata/RHSA-2022:7519

Comment 21 errata-xmlrpc 2022-11-15 10:06:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:8057 https://access.redhat.com/errata/RHSA-2022:8057

Comment 22 Product Security DevOps Team 2022-12-05 01:03:38 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-21713


Note You need to log in before you can comment on or make changes to this bug.